Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos.msg
Interface KrbTGSReq

public interface KrbTGSReq
extends KerberosMessage

An interface to the Kerberos Ticket Granting Service request message.

This message is sent by a user to a Ticket Granting Service to obtain a service ticket for subsequent authentication to a Kerberized service.

Defined in RFC 1510 by the ASN.1 structure TGS-REQ

       TGS-REQ ::= [APPLICATION 12] KDC-REQ

       KDC-REQ ::=  SEQUENCE {
                      pvno[1]               INTEGER,
                      msg-type[2]           INTEGER,
                      padata[3]             SEQUENCE OF PA-DATA OPTIONAL,
                      req-body[4]           KDC-REQ-BODY
                    }

       KDC-REQ-BODY ::=  SEQUENCE {
                kdc-options[0]       KDCOptions,
                cname[1]             PrincipalName OPTIONAL,
                                        -- Used only in AS-REQ
                realm[2]             Realm, -- Server's realm
                                            -- Also client's in AS-REQ
                sname[3]             PrincipalName OPTIONAL,
                from[4]              KerberosTime OPTIONAL,
                till[5]              KerberosTime OPTIONAL,
                rtime[6]             KerberosTime OPTIONAL,
                nonce[7]             INTEGER,
                etype[8]             SEQUENCE OF INTEGER, -- EncryptionType,
                                            -- in preference order
                addresses[9]         HostAddresses OPTIONAL,
                enc-authorization-data[10]   EncryptedData OPTIONAL,
                             -- Encrypted AuthorizationData encoding
                additional-tickets[11]       SEQUENCE OF Ticket OPTIONAL
              }

Method Summary
`Ticket[]` | `getAdditionalTickets()` Returns all the additional tickets in this request
`InetAddress[]` | `getClientAddresses()` Returns all the client addresses in this request
`PrincipalName` | `getClientName()` Returns the client PrincipalName in this request, or null if absent
`int[]` | `getEncryptionType()` Returns the encryption type in this request in preference order
`Date` | `getEndTime()` Returns the end time in this request, or null if absent
`int` | `getNonce()` Returns the nonce in this request
`KDCOptions` | `getOptions()` Returns the KDCOptions in this request
`PaData[]` | `getPaDatas()` Returns all the PaDatas in this request
`String` | `getRealm()` Returns the realm (for both client and server) in this request
`Date` | `getRenewTill()` Returns the absolute last renewal time in this request, or null if absent
`PrincipalName` | `getServerName()` Returns the server PrincipalName in this request
`Date` | `getStartTime()` Returns the start time in this request, or null if absent

Methods inherited from interface com.dstc.security.kerberos.msg.KerberosMessage
`getEncoded`

Method Detail

### getPaDatas

    public PaData[] getPaDatas()

  Returns all the PaDatas in this request

### getOptions

    public KDCOptions getOptions()

  Returns the KDCOptions in this request

### getClientName

    public PrincipalName getClientName()

  Returns the client PrincipalName in this request, or null if absent

### getRealm

    public String getRealm()

  Returns the realm (for both client and server) in this request

### getServerName

    public PrincipalName getServerName()

  Returns the server PrincipalName in this request

### getStartTime

    public Date getStartTime()

  Returns the start time in this request, or null if absent

### getEndTime

    public Date getEndTime()

  Returns the end time in this request, or null if absent

### getRenewTill

    public Date getRenewTill()

  Returns the absolute last renewal time in this request, or null if absent

### getNonce

    public int getNonce()

  Returns the nonce in this request

### getEncryptionType

    public int[] getEncryptionType()

  Returns the encryption type in this request in preference order

### getClientAddresses

    public InetAddress[] getClientAddresses()

  Returns all the client addresses in this request

### getAdditionalTickets

    public Ticket[] getAdditionalTickets()

  Returns all the additional tickets in this request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD